Get Transcript
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/transcript/{transcript_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/transcript/{transcript_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/transcript/{transcript_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"speaker": "BOT",
"message": "हेलो, मैं आर्यन बोल रहा हूं timepay से। क्या मेरी बात राहुल जी से हो रही है?"
},
{
"speaker": "HUMAN",
"message": "हां बोलिए"
},
{
"speaker": "BOT",
"message": "सर, मैं timepay की तरफ से आपके पर्सनल लोन अकाउंट के बारे में कॉल कर रहा हूं। आपकी अगली EMI पंद्रह अगस्त को ड्यू है, क्या आपने twelve thousand, five hundred rupees खाते में रख दिए हैं?"
},
{
"speaker": "HUMAN",
"message": "अभी नहीं रखे हैं, कल तक डाल दूंगा"
},
{
"speaker": "BOT",
"message": "ठीक है सर, कृपया चौदह अगस्त की रात बारह बजे तक खाते में पैसे जमा कर दीजिए। देरी होने पर लेट फीस और ब्याज लग सकता है। क्या आप समय पर पेमेंट कर पाएंगे?"
},
{
"speaker": "HUMAN",
"message": "हां कर दूंगा"
},
{
"speaker": "BOT",
"message": "बहुत अच्छा सर, धन्यवाद। timepay की तरफ से आपका दिन शुभ हो।"
}
]
}
{
"success": false,
"message": "Missing or invalid authorization header"
}
{
"success": false,
"message": "Data not found. Invalid transcript_id."
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}
Media
Get Transcript
Fetch a call transcript JSON file from the server.
Get Transcript
Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Path Parameters
string
required
The unique identifier (UUID) of the transcript (e.g.,
39de3ba4-51b4-47e4-aa33-31b12075e2f3).Response
boolean
Indicates whether the request was successful.
array
string
The error type or code (Error responses only).
string
A descriptive message explaining the error (Error responses only).
{
"success": true,
"data": [
{
"speaker": "BOT",
"message": "हेलो, मैं आर्यन बोल रहा हूं timepay से। क्या मेरी बात राहुल जी से हो रही है?"
},
{
"speaker": "HUMAN",
"message": "हां बोलिए"
},
{
"speaker": "BOT",
"message": "सर, मैं timepay की तरफ से आपके पर्सनल लोन अकाउंट के बारे में कॉल कर रहा हूं। आपकी अगली EMI पंद्रह अगस्त को ड्यू है, क्या आपने twelve thousand, five hundred rupees खाते में रख दिए हैं?"
},
{
"speaker": "HUMAN",
"message": "अभी नहीं रखे हैं, कल तक डाल दूंगा"
},
{
"speaker": "BOT",
"message": "ठीक है सर, कृपया चौदह अगस्त की रात बारह बजे तक खाते में पैसे जमा कर दीजिए। देरी होने पर लेट फीस और ब्याज लग सकता है। क्या आप समय पर पेमेंट कर पाएंगे?"
},
{
"speaker": "HUMAN",
"message": "हां कर दूंगा"
},
{
"speaker": "BOT",
"message": "बहुत अच्छा सर, धन्यवाद। timepay की तरफ से आपका दिन शुभ हो।"
}
]
}
{
"success": false,
"message": "Missing or invalid authorization header"
}
{
"success": false,
"message": "Data not found. Invalid transcript_id."
}
{
"success": false,
"error": "Internal Server Error",
"message": "An unexpected error occurred"
}

